// import { useEffect } from "react";
import logo from "@/assets/project/projectIcon.svg";
import smallLogo from "@/assets/project/projectIconSmall.svg";
import style from "./index.module.css";
import ArrowForwardIosIcon from "@material-ui/icons/ArrowForwardIos";
import Popper from "@material-ui/core/Popper";
import Paper from "@material-ui/core/Paper";
import Fade from "@material-ui/core/Fade";
import { useEffect, useState } from "react";
import useMyRequest from "@/hooks/useMyRequest";
import { product } from "@/api/project_api";
import moment from "moment";

const CurrentProject = () => {
  const currentProjectInfo = {
    id: "123",
    name: "项目名称",
    desc: "项目描述",
  };
  const [open, setOpen] = useState(false);
  const [anchorEl, setAnchorEl] = useState(null);
  const [name, setName] = useState("");
  const handleShowProjectList = (e: any) => {
    setOpen(!open);
    setAnchorEl(anchorEl ? null : e.currentTarget);
  };
  const [projectList, setProjectList] = useState<any>([]);

  const { data, error, loading, run } = useMyRequest(product, {
    manual: true,
    onSuccess: (result, params) => {
      console.log(result);
      setProjectList(result.data);
      // setState('');
      // message.success(`The username was changed to "${params[0]}" !`);
    },
  });
  useEffect(() => {
    run();
  }, []);

  return (
    <div
      className={style.currentProject}
      aria-describedby="projectList"
      onClick={handleShowProjectList}
    >
      <img src={logo} alt="" className={style.logo} />
      <div className={style.info}>
        <div className={style.name}>{currentProjectInfo.name}</div>
        <div className={style.desc}>{currentProjectInfo.desc}</div>
      </div>
      <ArrowForwardIosIcon
        className={style.showProjectList}
        style={{ fontSize: 12 }}
      />
      <Popper
        open={open}
        anchorEl={anchorEl}
        placement="right-start"
        transition
      >
        {({ TransitionProps }) => (
          <Fade {...TransitionProps} timeout={350}>
            <Paper>
              <div className={style.projectBox}>
                <div className={style.searchBox} onClick={() => run()}>
                  searchBox
                </div>
                <div className={style.projectlist}>
                  {projectList.map((item: any) => {
                    return (
                      <div className={style.projectli}>
                        <img
                          src={smallLogo}
                          alt=""
                          className={style.projectliLogo}
                        />
                        <div className={style.projectliInfo}>
                          <div className={style.projectName}>{item.name}</div>
                          <div className={style.projectOwnerTime}>
                            <span className={style.projectOwner}>
                              {item.owner}
                            </span>
                            <span className={style.projectTime}>
                              {moment(item.createdAt).format("YYYY-MM-DD")}
                            </span>
                          </div>
                        </div>
                      </div>
                    );
                  })}
                </div>
              </div>
            </Paper>
          </Fade>
        )}
      </Popper>
      {/* <Popper id="projectList" open={open} placement="right-start">
                <div className={style.name}>projectlist</div>
            </Popper> */}
    </div>
  );
};

export default CurrentProject;
